Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlDropDownMenu

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIDropDownMenu
                  org.richfaces.component.html.HtmlDropDownMenu

All Implemented Interfaces:
  javax.faces.component.StateHolder, MenuComponent

    public class HtmlDropDownMenu

extends UIDropDownMenu

Component-Type org.richfaces.DropDownMenu Component-Family org.richfaces.DropDownMenu Renderer-Type org.richfaces.DropDownMenuRenderer

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from interface org.richfaces.component.MenuComponent
`MODE_AJAX, MODE_NONE, MODE_SERVER`

Constructor Summary
`HtmlDropDownMenu()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getDirection()` Defines direction of the popup list to appear (top-right, top-left bottom-right, bottom-left, auto(default)) Getter for direction
`java.lang.String` | `getDisabledItemClass()` Space-separated list of CSS style class(es) that are be applied to disabled item of this component Getter for disabledItemClass
`java.lang.String` | `getDisabledItemStyle()` CSS style(s) is/are to be applied to disabled item when this component is rendered.
`java.lang.String` | `getEvent()` Defines the event on the representation element that triggers the menu's appearance.
`java.lang.String` | `getFamily()`
`java.lang.Integer` | `getHideDelay()` Delay between losing focus and menu closing.
`int` | `getHorizontalOffset()` Sets the horizontal offset between popup list and label element conjunction point Getter for horizontalOffset
`java.lang.String` | `getItemClass()` Space-separated list of CSS style class(es) that are be applied to item of this component Getter for itemClass
`java.lang.String` | `getItemStyle()` CSS style(s) is/are to be applied to item when this component is rendered.
`java.lang.String` | `getJointPoint()` Set the corner of the label for the popup to be connected with.
`java.lang.String` | `getOncollapse()` Event must occurs on menu closure Getter for oncollapse
`java.lang.String` | `getOnexpand()` Event must occurs on menu opening Getter for onexpand
`java.lang.String` | `getOngroupactivate()` HTML: script expression; some group was activated.
`java.lang.String` | `getOnitemselect()` HTML: script expression; some item was selected.
`java.lang.String` | `getOnmousemove()` HTML: script expression; a pointer was moved within.
`java.lang.String` | `getOnmouseout()` HTML: script expression; a pointer was moved away.
`java.lang.String` | `getOnmouseover()` HTML: script expression; a pointer was moved onto.
`java.lang.String` | `getPopupWidth()` Set minimal width for the all of the lists that will appear.
`java.lang.String` | `getSelectItemClass()` Space-separated list of CSS style class(es) that are be applied to selected item of this component.
`java.lang.String` | `getSelectItemStyle()` CSS style(s) is/are to be applied to selected item when this component is rendered.
`java.lang.Integer` | `getShowDelay()` Delay between event and menu showing.
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getSubmitMode()` Set the submission mode for all menu items of the menu except ones where this attribute redefined.
`java.lang.Object` | `getValue()` Defines representation text for Label used for menu calls.
`int` | `getVerticalOffset()` Sets the vertical offset between popup list and label element conjunction point Getter for verticalOffset
`boolean` | `isDisabled()` Attribute 'disabled' provides possibility to make the whole menu disabled if its value equals to "true".
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setDirection(java.lang.String __direction)` Defines direction of the popup list to appear (top-right, top-left bottom-right, bottom-left, auto(default)) Setter for direction
`void` | `setDisabled(boolean __disabled)` Attribute 'disabled' provides possibility to make the whole menu disabled if its value equals to "true".
`void` | `setDisabledItemClass(java.lang.String __disabledItemClass)` Space-separated list of CSS style class(es) that are be applied to disabled item of this component Setter for disabledItemClass
`void` | `setDisabledItemStyle(java.lang.String __disabledItemStyle)` CSS style(s) is/are to be applied to disabled item when this component is rendered.
`void` | `setEvent(java.lang.String __event)` Defines the event on the representation element that triggers the menu's appearance.
`void` | `setHideDelay(java.lang.Integer __hideDelay)` Delay between losing focus and menu closing.
`void` | `setHorizontalOffset(int __horizontalOffset)` Sets the horizontal offset between popup list and label element conjunction point Setter for horizontalOffset
`void` | `setItemClass(java.lang.String __itemClass)` Space-separated list of CSS style class(es) that are be applied to item of this component Setter for itemClass
`void` | `setItemStyle(java.lang.String __itemStyle)` CSS style(s) is/are to be applied to item when this component is rendered.
`void` | `setJointPoint(java.lang.String __jointPoint)` Set the corner of the label for the popup to be connected with.
`void` | `setOncollapse(java.lang.String __oncollapse)` Event must occurs on menu closure Setter for oncollapse
`void` | `setOnexpand(java.lang.String __onexpand)` Event must occurs on menu opening Setter for onexpand
`void` | `setOngroupactivate(java.lang.String __ongroupactivate)` HTML: script expression; some group was activated.
`void` | `setOnitemselect(java.lang.String __onitemselect)` HTML: script expression; some item was selected.
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: script expression; a pointer was moved within.
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: script expression; a pointer was moved away.
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: script expression; a pointer was moved onto.
`void` | `setPopupWidth(java.lang.String __popupWidth)` Set minimal width for the all of the lists that will appear.
`void` | `setSelectItemClass(java.lang.String __selectItemClass)` Space-separated list of CSS style class(es) that are be applied to selected item of this component.
`void` | `setSelectItemStyle(java.lang.String __selectItemStyle)` CSS style(s) is/are to be applied to selected item when this component is rendered.
`void` | `setShowDelay(java.lang.Integer __showDelay)` Delay between event and menu showing.
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setSubmitMode(java.lang.String __submitMode)` Set the submission mode for all menu items of the menu except ones where this attribute redefined.
`void` | `setValue(java.lang.Object __value)` Defines representation text for Label used for menu calls.
`void` | `setVerticalOffset(int __verticalOffset)` Sets the vertical offset between popup list and label element conjunction point Setter for verticalOffset

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlDropDownMenu

    public HtmlDropDownMenu()

  Constructor to init default renderers

Method Detail

### setDirection

    public void setDirection(java.lang.String __direction)

  Defines direction of the popup list to appear (top-right, top-left bottom-right, bottom-left, auto(default)) Setter for direction

  Parameters:
    `direction` - - new value

### getDirection

    public java.lang.String getDirection()

  Defines direction of the popup list to appear (top-right, top-left bottom-right, bottom-left, auto(default)) Getter for direction

  Returns:
    direction value from local variable or value bindings

### setDisabled

    public void setDisabled(boolean __disabled)

  Attribute 'disabled' provides possibility to make the whole menu disabled if its value equals to "true". Setter for disabled

  Specified by:
    `setDisabled` in class `UIDropDownMenu`
  Parameters:
    `disabled` - - new value

### isDisabled

    public boolean isDisabled()

  Attribute 'disabled' provides possibility to make the whole menu disabled if its value equals to "true". Getter for disabled

  Specified by:
    `isDisabled` in class `UIDropDownMenu`
  Returns:
    disabled value from local variable or value bindings

### setDisabledItemClass

    public void setDisabledItemClass(java.lang.String __disabledItemClass)

  Space-separated list of CSS style class(es) that are be applied to disabled item of this component Setter for disabledItemClass

  Parameters:
    `disabledItemClass` - - new value

### getDisabledItemClass

    public java.lang.String getDisabledItemClass()

  Space-separated list of CSS style class(es) that are be applied to disabled item of this component Getter for disabledItemClass

  Returns:
    disabledItemClass value from local variable or value bindings

### setDisabledItemStyle

    public void setDisabledItemStyle(java.lang.String __disabledItemStyle)

  CSS style(s) is/are to be applied to disabled item when this component is rendered. Setter for disabledItemStyle

  Parameters:
    `disabledItemStyle` - - new value

### getDisabledItemStyle

    public java.lang.String getDisabledItemStyle()

  CSS style(s) is/are to be applied to disabled item when this component is rendered. Getter for disabledItemStyle

  Returns:
    disabledItemStyle value from local variable or value bindings

### setEvent

    public void setEvent(java.lang.String __event)

  Defines the event on the representation element that triggers the menu's appearance. Setter for event

  Specified by:
    `setEvent` in class `UIDropDownMenu`
  Parameters:
    `event` - - new value

### getEvent

    public java.lang.String getEvent()

  Defines the event on the representation element that triggers the menu's appearance. Getter for event

  Specified by:
    `getEvent` in class `UIDropDownMenu`
  Returns:
    event value from local variable or value bindings

### setHideDelay

    public void setHideDelay(java.lang.Integer __hideDelay)

  Delay between losing focus and menu closing. Setter for hideDelay

  Parameters:
    `hideDelay` - - new value

### getHideDelay

    public java.lang.Integer getHideDelay()

  Delay between losing focus and menu closing. Getter for hideDelay

  Returns:
    hideDelay value from local variable or value bindings

### setHorizontalOffset

    public void setHorizontalOffset(int __horizontalOffset)

  Sets the horizontal offset between popup list and label element conjunction point Setter for horizontalOffset

  Parameters:
    `horizontalOffset` - - new value

### getHorizontalOffset

    public int getHorizontalOffset()

  Sets the horizontal offset between popup list and label element conjunction point Getter for horizontalOffset

  Returns:
    horizontalOffset value from local variable or value bindings

### setItemClass

    public void setItemClass(java.lang.String __itemClass)

  Space-separated list of CSS style class(es) that are be applied to item of this component Setter for itemClass

  Parameters:
    `itemClass` - - new value

### getItemClass

    public java.lang.String getItemClass()

  Space-separated list of CSS style class(es) that are be applied to item of this component Getter for itemClass

  Returns:
    itemClass value from local variable or value bindings

### setItemStyle

    public void setItemStyle(java.lang.String __itemStyle)

  CSS style(s) is/are to be applied to item when this component is rendered. Setter for itemStyle

  Parameters:
    `itemStyle` - - new value

### getItemStyle

    public java.lang.String getItemStyle()

  CSS style(s) is/are to be applied to item when this component is rendered. Getter for itemStyle

  Returns:
    itemStyle value from local variable or value bindings

### setJointPoint

    public void setJointPoint(java.lang.String __jointPoint)

  Set the corner of the label for the popup to be connected with. (auto(default), tr, tl, bl, br, where tr – top-right) Setter for jointPoint

  Parameters:
    `jointPoint` - - new value

### getJointPoint

    public java.lang.String getJointPoint()

  Set the corner of the label for the popup to be connected with. (auto(default), tr, tl, bl, br, where tr – top-right) Getter for jointPoint

  Returns:
    jointPoint value from local variable or value bindings

### setOncollapse

    public void setOncollapse(java.lang.String __oncollapse)

  Event must occurs on menu closure Setter for oncollapse

  Parameters:
    `oncollapse` - - new value

### getOncollapse

    public java.lang.String getOncollapse()

  Event must occurs on menu closure Getter for oncollapse

  Returns:
    oncollapse value from local variable or value bindings

### setOnexpand

    public void setOnexpand(java.lang.String __onexpand)

  Event must occurs on menu opening Setter for onexpand

  Parameters:
    `onexpand` - - new value

### getOnexpand

    public java.lang.String getOnexpand()

  Event must occurs on menu opening Getter for onexpand

  Returns:
    onexpand value from local variable or value bindings

### setOngroupactivate

    public void setOngroupactivate(java.lang.String __ongroupactivate)

  HTML: script expression; some group was activated. Setter for ongroupactivate

  Parameters:
    `ongroupactivate` - - new value

### getOngroupactivate

    public java.lang.String getOngroupactivate()

  HTML: script expression; some group was activated. Getter for ongroupactivate

  Returns:
    ongroupactivate value from local variable or value bindings

### setOnitemselect

    public void setOnitemselect(java.lang.String __onitemselect)

  HTML: script expression; some item was selected. Setter for onitemselect

  Parameters:
    `onitemselect` - - new value

### getOnitemselect

    public java.lang.String getOnitemselect()

  HTML: script expression; some item was selected. Getter for onitemselect

  Returns:
    onitemselect value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: script expression; a pointer was moved within. Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: script expression; a pointer was moved within. Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: script expression; a pointer was moved away. Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: script expression; a pointer was moved away. Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: script expression; a pointer was moved onto. Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: script expression; a pointer was moved onto. Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setPopupWidth

    public void setPopupWidth(java.lang.String __popupWidth)

  Set minimal width for the all of the lists that will appear. Setter for popupWidth

  Parameters:
    `popupWidth` - - new value

### getPopupWidth

    public java.lang.String getPopupWidth()

  Set minimal width for the all of the lists that will appear. Getter for popupWidth

  Returns:
    popupWidth value from local variable or value bindings

### setSelectItemClass

    public void setSelectItemClass(java.lang.String __selectItemClass)

  Space-separated list of CSS style class(es) that are be applied to selected item of this component. Setter for selectItemClass

  Parameters:
    `selectItemClass` - - new value

### getSelectItemClass

    public java.lang.String getSelectItemClass()

  Space-separated list of CSS style class(es) that are be applied to selected item of this component. Getter for selectItemClass

  Returns:
    selectItemClass value from local variable or value bindings

### setSelectItemStyle

    public void setSelectItemStyle(java.lang.String __selectItemStyle)

  CSS style(s) is/are to be applied to selected item when this component is rendered. Setter for selectItemStyle

  Parameters:
    `selectItemStyle` - - new value

### getSelectItemStyle

    public java.lang.String getSelectItemStyle()

  CSS style(s) is/are to be applied to selected item when this component is rendered. Getter for selectItemStyle

  Returns:
    selectItemStyle value from local variable or value bindings

### setShowDelay

    public void setShowDelay(java.lang.Integer __showDelay)

  Delay between event and menu showing. Setter for showDelay

  Parameters:
    `showDelay` - - new value

### getShowDelay

    public java.lang.Integer getShowDelay()

  Delay between event and menu showing. Getter for showDelay

  Returns:
    showDelay value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setSubmitMode

    public void setSubmitMode(java.lang.String __submitMode)

  Set the submission mode for all menu items of the menu except ones where this attribute redefined. (ajax,server(Default),none) Setter for submitMode

  Specified by:
    `setSubmitMode` in interface `MenuComponent`
  Specified by:
    `setSubmitMode` in class `UIDropDownMenu`
  Parameters:
    `submitMode` - - new value

### getSubmitMode

    public java.lang.String getSubmitMode()

  Set the submission mode for all menu items of the menu except ones where this attribute redefined. (ajax,server(Default),none) Getter for submitMode

  Specified by:
    `getSubmitMode` in interface `MenuComponent`
  Specified by:
    `getSubmitMode` in class `UIDropDownMenu`
  Returns:
    submitMode value from local variable or value bindings

### setValue

    public void setValue(java.lang.Object __value)

  Defines representation text for Label used for menu calls. Setter for value

  Parameters:
    `value` - - new value

### getValue

    public java.lang.Object getValue()

  Defines representation text for Label used for menu calls. Getter for value

  Returns:
    value value from local variable or value bindings

### setVerticalOffset

    public void setVerticalOffset(int __verticalOffset)

  Sets the vertical offset between popup list and label element conjunction point Setter for verticalOffset

  Parameters:
    `verticalOffset` - - new value

### getVerticalOffset

    public int getVerticalOffset()

  Sets the vertical offset between popup list and label element conjunction point Getter for verticalOffset

  Returns:
    verticalOffset value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.